package com.loafle.overflow.central.module.sensor.service;

import com.loafle.overflow.central.module.meta.dao.MetaDisplayItemMappingDAO;
import com.loafle.overflow.central.spring.AppConfigTest;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.loafle.overflow.model.sensor.Sensor;
import com.loafle.overflow.model.target.Target;
import com.loafle.overflow.service.central.sensor.SensorService;
import com.loafle.overflow.service.central.target.TargetService;
import org.junit.Assert;
import org.junit.Ignore;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

/**
 * Created by insanity on 17. 6. 28.
 */
// @Ignore
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = { AppConfigTest.class })
public class SensorServiceTest {
  @Autowired
  SensorService sensorService;

  @Autowired
  TargetService targetService;

  @Autowired
  MetaDisplayItemMappingDAO metaDisplayItemMappingService;

  @Autowired
  ObjectMapper objectMapper;

  @Test
  @Ignore
  public void regist() throws Exception {

    Target target = this.targetService.read(Long.valueOf(1));
    Sensor sensor = new Sensor();
    sensor.setTarget(target);

    Sensor result = this.sensorService.regist(sensor, this.metaDisplayItemMappingService.findAll());
    Assert.assertNotNull(result);
  }
}
